Subject: Celebrity looks cost less now!

From: " Ipsp-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 17:17:12 +0200

Heard a lot about replica watches but don’t believe they can be qualitative?
The quality and price of our replicas will surprise you in a pleasant way!
Pick up a perfect chronometer for you out of our huge stock now!
http://disrich.com